<?php
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}

require_once('../../clases/datosbd.class.php');

if($_REQUEST["uuid"] == ""){
	?><script>$j_6.messager.alert("Error","Debe de indicar el uuid.","error");</script><?exit;
}

$datosbd = new datosbd();

if(!mysqli_query($datosbd->CONEXION,"update recibedoce set bloqueadoPP='0' where uuid='".$_REQUEST["uuid"]."'")){
	?><script>
		$j_6.messager.alert("Error","Ocurrio un error al actualizar. Error: <?php echo mysqli_error($datosbd->CONEXION);?>","error");
		document.getElementById("<?=$_REQUEST['id']?>").src="Imagenes/lock128.png";
	</script>
	<?
	exit;
}
if(mysqli_affected_rows($datosbd->CONEXION) > 0){
	if(!mysqli_query($datosbd->CONEXION,"delete from provisiones_d where uuid='".$_REQUEST["uuid"]."'")){
		?><script>
			$j_6.messager.alert("Error","Ocurrio un error al eliminar el documento de las provisiones.","error");
			document.getElementById("<?=$_REQUEST['id']?>").src="Imagenes/lock128.png";
		</script>
		<?
		exit;
	}
	?><script>
	$j_6.messager.alert("Aviso","Se ha desbloquiado","info");
	$j_6("#tdLock_<?=str_replace("imgbloqueado_","",$_REQUEST['id']);?>").html("<center><img src=\"Imagenes/unlock128.png\" width=\"32\" height=\"32\"/></center>");
	</script><?
}else{
	?><script>
	$j_6.messager.alert("Error","No se actualizo el registro, es probable que ya haya sido actualizado intente nuevamente.","error");
	document.getElementById("<?=$_REQUEST['id']?>").src="Imagenes/lock128.png";
	</script><?
}

?><script>

</script>
